//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TooJaVile.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations; //lisasin selle siia

    public partial class Vacation : IValidatableObject //lisasin peale koolonit osa
    {
        public int Id { get; set; }
        public int PersonId { get; set; }
        [Required(ErrorMessage = "Alguskuupäev peab olema valitud ")]   //errormessage lisatud

        [DisplayFormat(ApplyFormatInEditMode = true, DataFormatString = "{0:dd.MM.yyy}")]   //kuupäeva vorming lisatud
        public Nullable<System.DateTime> StartDate { get; set; }
        [Required(ErrorMessage = "Lõppkuupäev peab olema valitud")]          //errormessage lisatud

        [DisplayFormat(ApplyFormatInEditMode = true, DataFormatString = "{0:dd.MM.yyy}")]   //kuupäeva vorming lisatud
        public Nullable<System.DateTime> EndDate { get; set; }

        // ei luba lõppkuupäeva panna hilisemat
        IEnumerable<ValidationResult> IValidatableObject.Validate(ValidationContext validationContext)
        {
            if (EndDate < StartDate)
            {
                yield return new ValidationResult("Lõppkuupäev peab olema hilisem kui alguskuupäev");
            }
        }

        //public Nullable<int> PictureId { get; set; } //seda uues modelis ei olenud, seetõttu on väljakommenteeritud
        public int VacationState { get; set; }
        public int VacationType { get; set; }
        public Nullable<int> AlbumId { get; set; }
    
        public virtual Person Person { get; set; }
        public virtual Album Album { get; set; }
    }
}
